Bug 1555149 - Editing an image stream tag to set reference: true from an invalid tag does not create a status tag
Summary: Editing an image stream tag to set reference: true from an invalid tag does n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.10.0
Assignee: Oleg Bulatov
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-14 03:45 UTC by Clayton Coleman
Modified: 2018-10-17 06:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: a new value in the Reference field wasn't considered as a change. Consequence: the status field wasn't updated. Fix: update detection of changes. Result: you can set "Reference: true" and get any image reference in an image stream tag.
Clone Of:
Environment:
Last Closed: 2018-07-30 19:10:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:11:12 UTC

Description Clayton Coleman 2018-03-14 03:45:32 UTC
1. Create an image stream with a tag pointing to a docker image "openshift/origin:foo".  
2. Image imported with error because "foo" doesn't exist as a tag.  
3. Edited the image stream tag to have 'reference: true'.  

Expected

1. Image stream tag status to be updated to point to openshift/origin:foo directly

Actual:

1. Image stream tag status stays at "cannot import openshift/origin:foo"
2. Editing the from.name updated the status.

I think this is a bug in the change detection in the image stream registry strategy - changing from will update the tag, but changing reference did not.

Not super high priority bug should be an easy fix.  Will try to look at it when I get time.

Comment 1 Oleg Bulatov 2018-03-19 14:28:42 UTC
https://github.com/openshift/origin/pull/19023

Comment 3 Dongbo Yan 2018-05-16 02:19:20 UTC
Verified
openshift v3.10.0-0.41.0
kubernetes v1.10.0+b81c8f8
etcd 3.2.16

1.Import an invalid image
v3.10
  tagged from registry.access.redhat.com/openshift3/jenkins-2-rhel7:v3.10

  ! error: Import failed (InternalError): Internal error occurred: error parsing HTTP 404 response body: invalid character 'F' looking for beginning of value: "File not found.\""
      Less than a second ago

2.Edit the image stream tag to have 'reference: true', check imagestream
v3.10
  reference to registry registry.access.redhat.com/openshift3/jenkins-2-rhel7:v3.10

  * registry.access.redhat.com/openshift3/jenkins-2-rhel7:v3.10
      20 seconds ago

Comment 5 errata-xmlrpc 2018-07-30 19:10:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.